| Home | Libraries | People | FAQ | More

##### operator<< (5 of 5 overloads)

Format a kind to an output stream.

###### Synopsis

Defined in header `<boost/json/kind.hpp>`

    std::ostream&
    operator<<(
        std::ostream& os,
        kind k);

###### Description

This allows a `kind` to be formatted as a string, typically for diagnostics.

###### Return Value

The output stream.

###### Parameters

Name | Description
--- | ---
`os` | The output stream to format to.
`k` | The kind to format.

Convenience header `<boost/json.hpp>`